Can't get sample code to run

This forum is not monitored by the SmartFTP staff. If you have a license please contact technical support by email.
Post Reply
donj91711
Posts: 34
Joined: Fri Jul 30, 2010 7:01 pm

Can't get sample code to run

Post by donj91711 » Thu Feb 26, 2015 8:31 pm

I'm trying to run the SmartFTP Library sample code under:
C:\Program Files\SmartFTP FTP Library\Samples\SFTP\VB6
 
It's a very simple program. The first line in the Main routine is:
Set objGlobal = CreateObject("sfFTPLib.Global")
 
When I run that line it gets an error:
Automation Error - The specified procedure could not be found
 
I have the SmartFTP FTP Library 4.0 Type Library installed and referenced in Project/References
It appears to have installed properly.
I am running on XP SP3
 
Any thoughts?
 
 

mb
Posts: 12030
Joined: Thu Oct 11, 2001 1:24 pm
Display name: Mat (SmartFTP)
Contact:

Re: Can't get sample code to run

Post by mb » Thu Feb 26, 2015 9:31 pm

If you can use Visual Basic .NET instead of VB6
Last edited by mb on Tue Mar 17, 2015 10:04 pm, edited 1 time in total.

donj91711
Posts: 34
Joined: Fri Jul 30, 2010 7:01 pm

Re: Can't get sample code to run

Post by donj91711 » Thu Feb 26, 2015 9:40 pm

mb wrote: Use VB.NET instead of VB6
I'm not quite sure why SmartFTP would advertise VB6 with their sample code if it doesn't work with VB6
 
I have seven different programs that automate FTP processing, all using SmartFTP in VB6. They have been live and working fine for years, up until the time we wanted to do right by SmartFTP and renew our license. After all, we get a lot of use out of their product so it seemed like the right thing to do. What thanks do we get by doing the right thing? The new version no longer works with VB6.
 
No good deed goes unpunished.
 
I'll be asking for a refund and looking for a new product.

mb
Posts: 12030
Joined: Thu Oct 11, 2001 1:24 pm
Display name: Mat (SmartFTP)
Contact:

Re: Can't get sample code to run

Post by mb » Fri Feb 27, 2015 12:46 am

We have verified that both VB6 samples (FTP and SFTP) in the latest version are working fine.
 
Please install the latest version of the FTP Library from here:
https://www.smartftp.com/ftplib/download
 
Version 4.0 of the FTP Library requires Windows Vista or higher. Version 3.0 which works on Windows XP SP3 is available on request (contact support).
Last edited by mb on Fri Feb 27, 2015 6:32 pm, edited 1 time in total.

Post Reply